using Harmony;
using RimWorld;
using System;
using System.Linq;
using System.Collections.Generic;
using System.Reflection;
using RimWorld.Planet;
using UnityEngine;
using Verse;
using Verse.AI;

namespace StorageTweaks
{
	[StaticConstructorOnStartup]
	public static class StorageTweaks {
		
		public static StorageTweaksRegistry registry;
		public static ITab_StorageTweaks inspectorTab;
		
		static StorageTweaks()
		{
			registry = new StorageTweaksRegistry();
			inspectorTab = new ITab_StorageTweaks();
			
			HarmonyInstance harmony = HarmonyInstance.Create("sladki.rimworld.mod.storagetweaks");
			harmony.PatchAll(Assembly.GetExecutingAssembly());
		}
	}
}